complete -c legba -s R -l recipe -d 'Load a recipe from this YAML file' -r
complete -c legba -s T -l target -d 'Single target host, url or IP address, IP range, CIDR, @filename or comma separated combination of them' -r
complete -c legba -l api -d 'Enable the REST API and bind it to the specified address:port' -r
complete -c legba -l api-allowed-origin -d 'Use a more restrictive CORS policy by only allowing requests from the specified origin' -r
complete -c legba -l mcp -d 'Enable the MCP server and bind it to the specified address:port' -r
complete -c legba -s U -l username -l payloads -d 'Constant, filename, glob expression as @/some/path/*.txt, permutations as #min-max:charset / #min-max or range as [min-max] / [n, n, n]' -r
complete -c legba -s P -l password -l key -d 'Constant, filename, glob expression as @/some/path/*.txt or permutations as #min-max:charset / #min-max or range as [min-max] / [n, n, n]' -r
complete -c legba -s C -l combinations -d 'Load username:password combinations from this file' -r
complete -c legba -l separator -d 'Separator if using the --combinations/-C argument' -r
complete -c legba -s I -l iterate-by -d 'Whether to iterate by user or by password' -r -f -a "user\t''
password\t''"
complete -c legba -s S -l session -d 'Save and restore session information to this file' -r
complete -c legba -s O -l output -d 'Save results to this file' -r
complete -c legba -l output-format -d 'Output file format' -r -f -a "text\t''
csv\t''
jsonl\t''"
complete -c legba -l timeout -d 'Connection timeout in milliseconds' -r
complete -c legba -l retries -d 'Number of attempts if a request fails' -r
complete -c legba -l retry-time -d 'Delay in milliseconds to wait before a retry' -r
complete -c legba -l ulimit -d 'Value for ulimit (max open file descriptors)' -r
complete -c legba -l concurrency -d 'Number of concurrent workers' -r
complete -c legba -l rate-limit -d 'Limit the number of requests per second' -r
complete -c legba -s W -l wait -d 'Wait time in milliseconds per login attempt' -r
complete -c legba -l jitter-min -d 'Minimum number of milliseconds for random request jittering' -r
complete -c legba -l jitter-max -d 'Maximum number of milliseconds for random request jittering' -r
complete -c legba -l generate-completions -d 'Generate shell completions' -r -f -a "bash\t''
elvish\t''
fish\t''
powershell\t''
zsh\t''"
complete -c legba -l cmd-binary -d 'Command binary' -r
complete -c legba -l cmd-args -d 'Command arguments. {USERNAME}, {PASSWORD}, {TARGET} and {PORT} can be used as placeholders' -r
complete -c legba -l cmd-success-exit-code -d 'Process exit code to be considered as a positive match' -r
complete -c legba -l cmd-success-match -d 'String to look for in the process standard output to be considered as a positive match' -r
complete -c legba -l http-success-codes -d 'Comma separated status codes to consider as successful authentication attempts for HTTP based plugins' -r
complete -c legba -l http-ua -d 'Set a User-Agent. If none is specified, it\'ll be picked randomly for each request' -r
complete -c legba -l http-success-string -d 'Check for the presence of this string in the response in order to recognize a succesful attempt' -r
complete -c legba -l http-failure-string -d 'Check for the presence of this string in the response in order to recognize a failed attempt' -r
complete -c legba -l http-method -d 'Request method for HTTP based plugins' -r
complete -c legba -l http-headers -d 'Request headers for HTTP based plugins' -r
complete -c legba -l http-csrf-page -d 'For each request grab a CSRF token from this page' -r
complete -c legba -l http-csrf-regexp -d 'Regular expression to use to grab the CSRF token name and value' -r
complete -c legba -l http-payload -d 'Request payload (query string, post body or form data) for HTTP based plugins' -r
complete -c legba -l http-enum-ext -d 'File extension for HTTP enumeration' -r
complete -c legba -l http-enum-ext-placeholder -d 'File extension placeholder for HTTP enumeration wordlist' -r
complete -c legba -l http-ntlm-domain -d 'Domain for NTLM authentication over HTTP' -r
complete -c legba -l http-ntlm-workstation -d 'Workstation name for NTLM authentication over HTTP' -r
complete -c legba -l proxy -d 'Proxy URL' -r
complete -c legba -l proxy-auth -d 'Proxy authentication as username:password' -r
complete -c legba -l dns-resolvers -d 'Comma separatd list of DNS resolvers to use instead of the system one' -r
complete -c legba -l dns-port -d 'Resolver(s) port' -r
complete -c legba -l dns-attempts -d 'Number of retries after lookup failure before giving up' -r
complete -c legba -l dns-max-positives -d 'If more than this amount of sequential dns resolutions point to the same ip, add that ip to an ignore list' -r
complete -c legba -l telnet-user-prompt -d 'Telnet server username login prompt string' -r
complete -c legba -l telnet-pass-prompt -d 'Telnet server password login prompt string' -r
complete -c legba -l telnet-prompt -d 'Telnet server shell prompt after successful login' -r
complete -c legba -l smb-workgroup -d 'Samba workgroup name' -r
complete -c legba -l smb-share -d 'Explicitly set Samba private share to test' -r
complete -c legba -l ssh-auth-mode -d 'Authentication strategy' -r -f -a "key\t''
password\t''"
complete -c legba -l ssh-key-passphrase -d 'Optional private key passphrase for key based authentication' -r
complete -c legba -l smtp-mechanism -d 'SMTP authentication mechanism, can be PLAIN (RFC4616), LOGIN (obsolete but needed for some providers like office365) or XOAUTH2' -r
complete -c legba -l socks5-address -d 'Remote address to test the proxying for' -r
complete -c legba -l socks5-port -d 'Remote port to test the proxying for' -r
complete -c legba -l ldap-domain -d 'LDAP domain' -r
complete -c legba -l kerberos-realm -d 'Kerberos realm' -r
complete -c legba -l kerberos-protocol -d 'Kerberos transport protocol' -r -f -a "udp\t''
tcp\t''"
complete -c legba -l rdp-domain -d 'Domain name' -r
complete -c legba -l mqtt-client-id -d 'MQTT client id' -r
complete -c legba -l port-scanner-ports -d 'Range or comma separated values of integer port numbers to scan' -r
complete -c legba -l port-scanner-banner-timeout -d 'Timeout in milliseconds for banner grabbing' -r
complete -c legba -l port-scanner-http -d 'Comma separated list of ports for HTTP grabbing' -r
complete -c legba -l port-scanner-https -d 'Comma separated list of ports for HTTPS grabbing' -r
complete -c legba -l port-scanner-http-headers -d 'Comma separated list lowercase header names for HTTP/HTTPS grabbing' -r
complete -c legba -s L -l list-plugins -d 'List all available protocol plugins'
complete -c legba -l single-match -d 'Exit after the first positive match is found'
complete -c legba -s Q -l quiet -d 'Do not report statistics'
complete -c legba -l amqp-ssl -d 'Enable SSL for AMQP'
complete -c legba -l http-follow-redirects -d 'Follow HTTP redirects'
complete -c legba -l dns-ip-lookup -d 'Perform ip to hostname lookup'
complete -c legba -l dns-no-https -d 'Do not fetch HTTPS certificates for new domains'
complete -c legba -l pop3-ssl -d 'Enable SSL for POP3'
complete -c legba -l kerberos-linux -d 'If targeting a Linux Kerberos5 implementation, pass this flag to preserve the realm string case'
complete -c legba -l rdp-ntlm -d 'Use a NTLM hash instead of a password'
complete -c legba -l rdp-admin-mode -d 'Restricted admin mode'
complete -c legba -l rdp-auto-logon -d 'AutoLogon mode in case of SSL negotiation'
complete -c legba -l mqtt-v5 -d 'use v5 of the MQTT protocol'
complete -c legba -l redis-ssl -d 'Enable SSL for Redis'
complete -c legba -l port-scanner-no-banners -d 'Do not attempt banner grabbing'
complete -c legba -l port-scanner-no-udp -d 'Do not perform UDP scan'
complete -c legba -l port-scanner-no-tcp -d 'Do not perform TCP scan'
complete -c legba -l irc-tls -d 'Use TLS for IRC'
complete -c legba -s h -l help -d 'Print help'
complete -c legba -s V -l version -d 'Print version'
